import { applyDecorators, Header, SetMetadata } from '@nestjs/common'

export function Cors() {
  return applyDecorators(
    Header('Access-Control-Allow-Origin', '*'),
    Header('Access-Control-Allow-Methods', 'GET, POST, PUT, DELETE, OPTIONS'),
    Header('Access-Control-Allow-Headers', 'Content-Type, Authorization'),
    Header('Access-Control-Allow-Credentials', 'true'),
    Header('Access-Control-Max-Age', '86400'),
    SetMetadata('cors', true)
  )
}
