import { ServiceResponse } from '../response/response.interface'

export interface IAgentServerService {
  listStaffs(): Promise<ServiceResponse<StaffsType[]>>
  getDialogueHistory(
    staffId: string,
    userName: string,
    unionId: string,
    recentMinutes: string
  ): Promise<ServiceResponse<UserInfo[]>>
  listModels(): Promise<ServiceResponse<Model[]>>
  listScenes(): Promise<ServiceResponse<any[]>>
  getBasePrompt(scene: string): Promise<ServiceResponse<string>>
  // runPrompt(prompt: any): Promise<ServiceResponse<any>>
}
